package org.bitbucket.bradleysmithllc.etlunit.feature.database.db;

import java.util.List;
import java.util.Map;

public interface Schema extends JsonRepresentation
{
	String getName();
	List<Table> getTables();
	void addTable(Table table);

	Map<String, Table> getTableMap();

	Table getTable(String name);
}